Unjailbreak iPhone 4

Discussion in 'iPhone' started by randomguyishere, Dec 9, 2011.

  1. randomguyishere macrumors regular

    Joined:
    Jul 24, 2010
    #1
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_3_5 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8L1 Safari/6533.18.5)

    I recently bought an iPhone 4 from a friend.
    It came jailbroken on iOS 4.3.5.
    It has baseband 04.10.01.

    I want to unlock it using Gevey Sim Card.
    Before I do that, I want to unjailbreak it.
    Any ideas how to go about doing these two things?


    On another note, I want to upgrade it to iOS 5.0.1 (will preserver baseband of course). Is this possible once I unjailbreak?

    Thank you!
     
  2. APtalent macrumors regular

    Joined:
    Jun 5, 2010
    #2
    If you want to unlock the iPhone with a Gevey Ultra, you're going to have to jailbreak the phone so you can install Furiousmod (for an automatic, untethered unlock). However your phone is already jailbroken and on a supported baseband so you can go ahead and use a Gevey Sim without doing anything (using the 211 method.)

    If you want to unjailbreak it, you're gonna have to restore the phone back iOS 4.3.5. Save your SHSH blobs!!!

    If you preserve your baseband on iOS 5.0.1 the Gevey Ultra sim will not work.
     
  3. ninjaw95 macrumors 6502

    Joined:
    Nov 30, 2011
    #3
    check out the lates redsn0w by looking at the dev team blog. download it and go into:
    Ecxtras > SHSH and there should be an option to save the shsh file for 4.3.5, then go into Stich IPSW, you will need the original 4.3.5, select the 4.3.5 and the shsh blob saved. it will combine them into a firmware that you can select when restoring in itunes, it will make it so you dont update.
    on windows press Shift Restore
    on mac its another button, lol.

    gl
     
  4. fedecape macrumors 6502

    fedecape

    Joined:
    Oct 23, 2011
    Location:
    Miami, FL
    #4
  5. thatoneguy82 macrumors 68000

    thatoneguy82

    Joined:
    Jul 23, 2008
    Location:
    Beach Cities, CA
    #5
    To preserve your baseband, but still upgrade, you have to save your SHSH blob. It's located in the IPSW of your downgraded version which has the baseband that's compatible with the gevey sim.
     
  6. randomguyishere thread starter macrumors regular

    Joined:
    Jul 24, 2010
    #6
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_3_5 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8L1 Safari/6533.18.5)

    How do I save my SHSH blobs?
    Apparently my friend had (has?) them saved in Cydia since 4.0.1 or something.

    So what you're saying is.... Even if I preserve my baseband before usin iOS 5.0.1, Gevey Sim won't work?
     
  7. thatoneguy82 macrumors 68000

    thatoneguy82

    Joined:
    Jul 23, 2008
    Location:
    Beach Cities, CA
    #7
    You have to use iFaith to basically "extract" it and "install" it within the new firmware you're about to install. If you do this correctly, your baseband will be preserved and you'll have all the iOS 5 features as well as Gevey Sim unlock.

    Look here for more. I know it says iOS5, but it's applicable for all iOS IPSW: http://www.idownloadblog.com/2011/1...tom-firmware-to-downgrade-ios-5-using-ifaith/
     
  8. randomguyishere thread starter macrumors regular

    Joined:
    Jul 24, 2010
    #8
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_3_5 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8L1 Safari/6533.18.5)

    But I can't use iFaith because I have a Mac running OS X Lion
     
  9. randomguyishere thread starter macrumors regular

    Joined:
    Jul 24, 2010
    #9
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_3_5 like Mac OS X; en-us) AppleWebKit/533.17.9 (KHTML, like Gecko) Version/5.0.2 Mobile/8L1 Safari/6533.18.5)

    I do have Windows 7 installed on my Mac though. Should I just use that for iFaith? Will I still be able to use iTunes on my Mac OS after I'm done with iFaith on Windows?
     
  10. thatoneguy82 macrumors 68000

    thatoneguy82

    Joined:
    Jul 23, 2008
    Location:
    Beach Cities, CA
    #10
    I've never done this but you can try using Tiny Umbrella. http://jailbreakqa.com/questions/32462/frequently-asked-questions?page=1#51444
     
  11. APtalent macrumors regular

    Joined:
    Jun 5, 2010
    #11
    The Gevey Sim will NOT work on iOS 5.0.1 regardless of the baseband.
     
  12. randomguyishere thread starter macrumors regular

    Joined:
    Jul 24, 2010
    #12
    What??
    How do you know this?
    Why not?
     
  13. APtalent macrumors regular

    Joined:
    Jun 5, 2010
    #13
    Because I preserved my baseband on 4.3.1 and updated to 5.0.1. The Gevey sim did not work. It's actually stated in their homepage, www.applenberry.com. I knew prior to updating that it didn't work but I thought that it might if I preserved my baseband. I ended up downgrading back to 4.3.1 and the Gevey sim functioned properly.
     
  14. iphone4s16gb macrumors 6502

    Joined:
    Nov 9, 2011
    #14
    ok you go to www.limerain.com

    i guess they have all step j/b all version iphone 4
     

Share This Page